LibreOffice: XTask Interface Reference

LibreOffice LibreOffice 24.8 SDK API Reference |

Loading...
Searching...
No Matches
Public Member Functions | List of all members
XTask Interface Referencepublished

use XFrame instead of this one More...

`import "XTask.idl";`

Inheritance diagram for XTask:

## Public Member Functions
boolean | close ()
| use com::sun::star::util::XCloseable or com::sun::star::lang::XComponent::dispose() at a Frame instead of this one
void | tileWindows ()
void | arrangeWindowsVertical ()
void | arrangeWindowsHorizontal ()
Public Member Functions inherited from XFrame
void | initialize ([in] com::sun::star::awt::XWindow xWindow)
| is called to initialize the frame within a window - the container window.
com::sun::star::awt::XWindow | getContainerWindow ()
| provides access to the container window of the frame.
void | setCreator ([in] XFramesSupplier Creator)
| sets the frame container that created this frame.
XFramesSupplier | getCreator ()
| provides access to the creator (parent) of this frame
string | getName ()
| access to the name property of this frame
void | setName ([in] string aName)
| sets the name of the frame.
XFrame | findFrame ([in] string aTargetFrameName, [in] long nSearchFlags)
| searches for a frame with the specified name.
boolean | isTop ()
| determines if the frame is a top frame.
void | activate ()
| activates this frame and thus the component within.
void | deactivate ()
| is called by the creator frame when another sub-frame gets activated.
boolean | isActive ()
| determines if the frame is active.
boolean | setComponent ([in] com::sun::star::awt::XWindow xComponentWindow, [in] XController xController)
| sets a new component into the frame or release an existing one from a frame.
com::sun::star::awt::XWindow | getComponentWindow ()
| provides access to the component window
XController | getController ()
| provides access to the controller
void | contextChanged ()
| notifies the frame that the context of the controller within this frame changed (i.e.
void | addFrameActionListener ([in]XFrameActionListener xListener)
| registers an event listener, which will be called when certain things happen to the components within this frame or within sub-frames of this frame.
void | removeFrameActionListener ([in] XFrameActionListener xListener)
| unregisters an event listener
Public Member Functions inherited from XComponent
void | dispose ()
| The owner of an object calls this method to explicitly free all resources kept by this object and thus break cyclic references.
void | addEventListener ([in] XEventListener xListener)
| adds an event listener to the object.
void | removeEventListener ([in] XEventListener aListener)
| removes an event listener from the listener list.
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object.
void | acquire ()
| increases the reference counter by one.
void | release ()
| decreases the reference counter by one.

## Detailed Description

use XFrame instead of this one

Deprecated

## Member Function Documentation

## ◆ arrangeWindowsHorizontal()

void arrangeWindowsHorizontal | ( |  | ) |

Deprecated

## ◆ arrangeWindowsVertical()

void arrangeWindowsVertical | ( |  | ) |

Deprecated

## ◆ close()

boolean close | ( |  | ) |

use com::sun::star::util::XCloseable or com::sun::star::lang::XComponent::dispose() at a Frame instead of this one

Deprecated

## ◆ tileWindows()

void tileWindows | ( |  | ) |

Deprecated

The documentation for this interface was generated from the following file:

- com/sun/star/frame/XTask.idl